<template>
    <b-container style="padding-top: 6%;">
        <b-row class="justify-content-md-center" align-v="center" no-gutters>
            <b-card class="mb-2" style="max-width: 30rem;">
                <br>
                <br>
                <h3 class="text-center">Iniciar Sesión</h3>
                <b-form @submit.prevent="login">
                    <b-form-group>
                        <b-form-group
                            label="Email:"
                            label-for="nested-email"
                            label-cols-sm="3"
                            label-align-sm="right"
                        >
                            <b-form-input v-model="form.email" id="nested-email" type="email" placeholder="Ingrese su email" required></b-form-input>
                        </b-form-group>
                        <b-form-group
                            label="Password:"
                            label-for="nested-password"
                            label-cols-sm="3"
                            label-align-sm="right"
                        >
                            <b-form-input v-model="form.password" id="nested-password" type="password" placeholder="Ingrese su password" required></b-form-input>
                        </b-form-group>
                        <br>
                        <b-form-group
                            label=""
                            label-for=""
                            label-cols-sm="3"
                            label-align-sm="center"
                        >
                            <b-button class="button-block" type="submit" block variant="primary">Aceptar</b-button>
                        </b-form-group>
                    </b-form-group>
                </b-form>
                <br>
            </b-card>
        </b-row>
    </b-container>
</template>

<script>
    export default {
        data() {
            return {
                user: {},
                form: {
                    email: 'admin@admin.com',
                    password: 'admin',
                }
            }
        },
        created() {
            //
        },
        methods: {
            async login() {
                this.$store.dispatch('login', this.form).then(() => {
                    this.$router.push({ name: "home" });
                });
            }
        }
    }
</script>

<style>
    .button-block{
        width: 100%;
    }
</style>
